Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager
Interface IDesktopDefinitionManager

All Known Subinterfaces:
  DesktopDefinitionManager

All Known Implementing Classes:
  DesktopDefinitionManagerImpl

public interface IDesktopDefinitionManager

This is the primary interface for performing persistent store operations on `DesktopDefinitions`. In general this interface provides coarse grain getters and fine grain setters.

It is important to note that all methods on this interface are fully internationalized and entitled. All `titles` and `descriptions` on the objects returned by these methods are internationalized to the prefered locale. Also, all methods are entitled, meaning if the caller does not have the required credentials the method may return a subset of the actual list or be unable to perform the specified function.

Method Summary
`DesktopDefinition` | `createDesktopDefinition(CustomizationContext customizationContext, DesktopDefinition desktopDefinition)` Creates new desktop definition.
`DesktopDefinition` | `createDesktopDefinition(CustomizationContext customizationContext, DesktopView desktopView, String webappName)` Create new desktop definition in the persistent store from the given `view`.The `view` is typically constructed via the `XmlDisassembler`.
`void` | `deleteDesktopDefinition(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId)` Delete the `DesktopDefinition` of the supplied desktop definition identifier.
`void` | `deleteDesktopDefinitionWithCascade(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId)` Delete the `DesktopDefinition` of the supplied desktop definition id and all desktop instances associated with this definition.
`DesktopDefinition` | `getDesktopDefinition(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId)` Getter for returning a single `DesktopDefinition` object given a supplied desktop definition identifier.
`DesktopDefinition[]` | `getDesktopDefinitions(CustomizationContext customizationContext, String webapp)` Getter for returning a list of all `DesktopDefinitions` scoped to the supplied webapp.
`DesktopView` | `getDesktopView(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId)` Getter for returning an immutable deep copy of a `DesktopView`.
`void` | `updateDesktopDefinition(CustomizationContext customizationContext, DesktopDefinition desktopDefintion)` Update the persistent store for the supplied `DesktopDefinition`.

Method Detail

### getDesktopView

    public DesktopView getDesktopView(CustomizationContext customizationContext,
                                      DesktopDefinitionId desktopDefinitionId)
                               throws RemoteException

  Getter for returning an immutable deep copy of a `DesktopView`. The `DesktopView` object, unlike the `DesktopDefinition` or the `DesktopInstance` objects contains a full set of references to all child shells, pages, books and so on. The `DesktopView` object however is immutable.

  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `desktopDefinitionId` - the unique desktopDefinitionId.
  Returns:
    an immutable deep copy DesktopView object if one exist, otherwise null.
    `RemoteException`

### getDesktopDefinitions

    public DesktopDefinition[] getDesktopDefinitions(CustomizationContext customizationContext,
                                                     String webapp)
                                              throws RemoteException

  Getter for returning a list of all `DesktopDefinitions` scoped to the supplied webapp.

  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `webapp` - the web application these desktop definitions are scoped to.
  Returns:
    an iterator of `DesktopDefinition` objects if they exist, otherwise, an empty iterator.
    `RemoteException`

### getDesktopDefinition

    public DesktopDefinition getDesktopDefinition(CustomizationContext customizationContext,
                                                  DesktopDefinitionId desktopDefinitionId)
                                           throws RemoteException

  Getter for returning a single `DesktopDefinition` object given a supplied desktop definition identifier.

  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `desktopDefinitionId` - the unique desktop definition identifier.
  Returns:
    a `DesktopDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
    `RemoteException`
  See Also:
    `DesktopDefinition`

### deleteDesktopDefinition

    public void deleteDesktopDefinition(CustomizationContext customizationContext,
                                        DesktopDefinitionId desktopDefinitionId)
                                 throws RemoteException,
                                        ObjectNotFoundException,
                                        ObjectInUseException,
                                        NotEntitledException

  Delete the `DesktopDefinition` of the supplied desktop definition identifier.

  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `desktopDefinitionId` - the unique desktop definition identifier of the desktop to delete.
  Throws:
    `ObjectNotFoundException` - if there is no DesktopDefinition associated with desktopDefinitionId.
    `ObjectInUseException` - if this desktop definition is currently being used by desktop (user) instances.
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `RemoteException`

### deleteDesktopDefinitionWithCascade

    public void deleteDesktopDefinitionWithCascade(CustomizationContext customizationContext,
                                                   DesktopDefinitionId desktopDefinitionId)
                                            throws RemoteException,
                                                   ObjectNotFoundException,
                                                   NotEntitledException

  Delete the `DesktopDefinition` of the supplied desktop definition id and all desktop instances associated with this definition.

  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `desktopDefinitionId` - the unique desktop definition identifier of the desktop to delete.
  Throws:
    `ObjectNotFoundException` - if there is no DesktopDefinition associated with desktopDefinitionId.
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `RemoteException`

### updateDesktopDefinition

    public void updateDesktopDefinition(CustomizationContext customizationContext,
                                        DesktopDefinition desktopDefintion)
                                 throws RemoteException,
                                        ObjectNotFoundException,
                                        NotEntitledException

  Update the persistent store for the supplied `DesktopDefinition`. All attributes of the DesktopDefinition are updated in persistent store.

  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `desktopDefintion` - the object containing the new data for the desktop definition.
  Throws:
    `ObjectNotFoundException` - the `DesktopDefinitionId` `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `RemoteException`

### createDesktopDefinition

    public DesktopDefinition createDesktopDefinition(CustomizationContext customizationContext,
                                                     DesktopDefinition desktopDefinition)
                                              throws RemoteException,
                                                     MissingDataException,
                                                     ObjectNotFoundException,
                                                     NotEntitledException,
                                                     DuplicateObjectException

  Creates new desktop definition. Creates a new desktop definition in the persistent store. This definition may be used to create desktop instance later on.

  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `desktopDefinition` - the desktop definition object containing all the required data.
  Returns:
    the fully populated (DesktopDefinitionId) DesktopDefinition
  Throws:
    `MissingDataException` - if some vital information is missing from the DesktopDefinition.
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `DuplicateObjectException` - if the `portalPath` and `desktopPath` combination already exist in the database
    `RemoteException`
    `ObjectNotFoundException`

### createDesktopDefinition

    public DesktopDefinition createDesktopDefinition(CustomizationContext customizationContext,
                                                     DesktopView desktopView,
                                                     String webappName)
                                              throws RemoteException,
                                                     MissingDataException,
                                                     ObjectNotFoundException,
                                                     NotEntitledException,
                                                     com.bea.netuix.application.transform.disassembler.view.ViewDisassemblerException,
                                                     DuplicateObjectException,
                                                     DuplicateDefinitionException

  Create new desktop definition in the persistent store from the given `view`.The `view` is typically constructed via the `XmlDisassembler`.

  Parameters:
    `customizationContext` - customization information such as prefered locales, username and request, and most importantly `disassemblerTemplateAction`.
    `desktopView` - desktop view that has all the necessary information to create a desktop definition.
    `webappName` - the name of the webapp
  Returns:
    the desktop definition object containing all the required data.
  Throws:
    `MissingDataException` - If some vital information is missing from the DesktopVeiw.
    `NotEntitledException` - If the caller does not have the required permissions to create a desktop definition.
    `com.bea.netuix.application.transform.disassembler.view.ViewDisassemblerException` - If unable to disassemble the given desktop view `desktopView`. typically caused by some bad markup names in the view.
    `DuplicateObjectException` - if the `portalPath` and `desktopPath` combination already exist in the database
    `DuplicateDefinitionException` - if a book or page with the same definition label already exist in the database.
    `RemoteException`
    `ObjectNotFoundException`
  See Also:
    `CustomizationContext.setDisassemblerTemplateAction(int)`, `XmlDisassembler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved